Subject: Ticket Assigned - 9577063482/ late collection
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jul 2022 16:12:22 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9577063482/ late collection MS                    Hi           07:57 PM, 21st Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           07:57 PM, 21st Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           07:57 PM, 21st Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            07:57 PM, 21st Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            07:57 PM, 21st Jul                   Alhamzi                   Hi, thank you for contacting us. This's Alhamzi We would be happy to help you.           07:57 PM, 21st Jul                   Alhamzi                   Please provide us with more details about your inquiry so we can further assist you.           07:57 PM, 21st Jul                     MS                    Order number 9577063482           07:57 PM, 21st Jul                     MS                    I called your call center 3 times to come and pick up the floor lamp that I received broken and not functional           07:58 PM, 21st Jul                     MS                    Nobody has come yet, waiting for 2 weeks now           07:58 PM, 21st Jul                   Alhamzi                   We sincerely apologize for any inconvenience caused you.            07:58 PM, 21st Jul                   Alhamzi                   Please wait while we check the details.            07:59 PM, 21st Jul                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             08:00 PM, 21st Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           08:00 PM, 21st Jul                     MS                    Hopefully, as I was promised 3 times already the issue was escalated and not to worry that someone will come to pick it up           08:02 PM, 21st Jul                   Alhamzi                   We totally understand the frustaration you have regarding the delay to collect the damaged item           08:04 PM, 21st Jul                   Alhamzi                   We would like to let you know that we have informed our team to make your complain of their priority and they will take action soon. Your patience is appreciable            08:04 PM, 21st Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           08:04 PM, 21st Jul                     MS                    That would be all, thank you           08:06 PM, 21st Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           08:11 PM, 21st Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4642333